function ans_bdyf = bdyfcn(point_orig,index_f)

% Evaluate the Dirichlet boundary data.  The structure 'point_orig' 
% contains parameterization points on the boundary curve. In particular,
% the arrays 'point_orig.x' and 'point_orig.y' contain the coordinates
% corresponding to the parameterization points in 'point_orig.t'.

x = point_orig.x; y = point_orig.y; 

switch index_f
case 1
%   bdyfcn = exp(x)cos(y)
    ans_bdyf = exp(x).*cos(y)-1;
case 2
%   bdyfcn = x
    ans_bdyf = x;
end

end % bdyfcn_int